#
# spec file for package openldap2 (Version 2.1.22)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  cyrus-sasl cyrus-sasl-devel db-devel des heimdal-devel heimdal-lib openssl openssl-devel tcpd
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib cyrus-sasl-devel db-devel des e2fsprogs-devel gcc gdbm gettext heimdal-devel heimdal-lib libtool openssl-devel perl rpm tcpd

Name:         openldap2
URL:          http://www.openldap.org
License:      BSD, Other License(s), see package
Group:        Productivity/Networking/LDAP/Servers
Provides:     ldap2
Requires:     openldap2-client
Conflicts:    openldap
PreReq:       %insserv_prereq %fillup_prereq /usr/sbin/useradd /usr/sbin/groupadd
Autoreqprov:  on
Summary:      The new OpenLDAP Server (LDAPv3)
Version:      2.1.22
Release:      120
Source:       openldap-%{version}.tar.bz2
Source1:      openldap-rc.tgz
Source2:      openldap-admin-guide.tar.bz2
Source3:      addonschema.tar.gz
Patch:        openldap-%{version}.dif
Patch1:       64bit.dif
Patch2:       secpatch.dif
Patch3:       back_perl.dif
Patch4:       librewrite.dif
Patch5:       bdb_addcnt.dif
Patch6:       extensible_match.dif
Patch7:       tls-connection-test.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package      back-perl
Summary:      OpenLDAP Perl Back-End
Requires:     openldap2 = %{version}
Autoreqprov:  on
Group:        Productivity/Networking/LDAP/Servers
%package      back-meta
Summary:      OpenLDAP Meta backend
Requires:     openldap2 = %{version} openldap2-back-ldap = %{version}
Autoreqprov:  on
Group:        Productivity/Networking/LDAP/Servers
%package      back-ldap
Summary:      The new OpenLDAP Server (LDAPv3)
Requires:     openldap2 = %{version}
Autoreqprov:  on
Group:        Productivity/Networking/LDAP/Servers
%package      back-monitor
Summary:      The new OpenLDAP Server (LDAPv3)
Requires:     openldap2 = %{version}
Autoreqprov:  on
Group:        Productivity/Networking/LDAP/Servers
%package      devel
Summary:      Libraries, Headerfiles and Documentation for OpenLDAP2
Autoreqprov:  on
Conflicts:    openldap-devel 
Requires:     openldap2-client cyrus-sasl-devel openssl-devel
Group:        Development/Libraries/C and C++
%package      client
Summary:      OpenLDAP2 client utilities
Autoreqprov:  on
Conflicts:    openldap-client
Group:        Productivity/Networking/LDAP/Clients
Prefix:       %{_prefix}
%prep
%setup -q -n openldap-%{version} -a1 -a2 -a3
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7

%build
%{?suse_update_config:%{suse_update_config -f build}}
libtoolize --force
aclocal -I build
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
	--exec-prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var/run/slapd \
	--libexecdir=/usr/lib/openldap \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-wrappers \
	--enable-aclgroups \
	--enable-spasswd \
	--enable-modules \
	--enable-shared \
	--enable-dynamic \
	--with-tls \
	--with-cyrus-sasl \
	--enable-crypt \
	--enable-ipv6=yes \
	--enable-aci \
	--enable-bdb \
	--enable-rewrite \
	--enable-ldap \
	--with-ldap-module=dynamic \
	--enable-meta \
	--with-meta-module=dynamic \
	--enable-monitor \
	--with-monitor-module=dynamic \
	--enable-perl \
	--with-perl-module=dynamic \
	--enable-ldbm 
make depend
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT install
install -g root -m 755 -o root rc.ldap $RPM_BUILD_ROOT/etc/init.d/ldap
install -g root -m 755 -o root rc.slurpd $RPM_BUILD_ROOT/etc/init.d/slurpd
ln -sf ../../etc/init.d/ldap $RPM_BUILD_ROOT/usr/sbin/rcldap
ln -sf ../../etc/init.d/slurpd $RPM_BUILD_ROOT/usr/sbin/rcslurpd
install -m 755 -d $RPM_BUILD_ROOT/var/lib/ldap
install -m 700 -d $RPM_BUILD_ROOT/var/lib/slurpd
chmod a+x $RPM_BUILD_ROOT/%{_libdir}/liblber.so*
chmod a+x $RPM_BUILD_ROOT/%{_libdir}/libldap_r.so*
chmod a+x $RPM_BUILD_ROOT/%{_libdir}/libldap.so*
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 sysconfig.openldap $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.openldap
install -m 644 *.schema $RPM_BUILD_ROOT/etc/openldap/schema
rm -f $RPM_BUILD_ROOT/usr/lib/openldap/modules/*.a
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-dnssrv.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-null.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-passwd.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-shell.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-sql.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-tcl.5

%pre
/usr/sbin/groupadd -g 70 -o -r ldap 2> /dev/null || :
/usr/sbin/useradd -r -o -g ldap -u 76 -s /bin/bash -c "User for OpenLDAP" -d \
/var/lib/ldap ldap 2> /dev/null || :

%post
%{fillup_and_insserv -n -s openldap ldap START_LDAP slurpd START_SLURPD}

%preun
%stop_on_removal ldap slurpd

%postun
%restart_on_update ldap slurpd
%insserv_cleanup

%files
/var/adm/fillup-templates/sysconfig.openldap
%config /etc/init.d/ldap
%config /etc/init.d/slurpd
/usr/sbin/rcldap
/usr/sbin/rcslurpd
/usr/sbin/slap*
%dir /etc/openldap
/etc/openldap/schema
%config(noreplace) %attr(640, root, ldap) /etc/openldap/slapd.conf
%attr(640, root, ldap) /etc/openldap/slapd.conf.default
%dir /usr/lib/openldap
%dir /usr/lib/openldap/modules
/usr/lib/openldap/slapd
/usr/lib/openldap/slurpd
%attr(0700, ldap, ldap) /var/lib/ldap
%attr(0700, ldap, ldap) /var/run/slapd
/var/lib/slurpd
/usr/share/openldap
%doc %{_mandir}/man8/slapadd.8.gz
%doc %{_mandir}/man8/slapcat.8.gz
%doc %{_mandir}/man8/slapd.8.gz
%doc %{_mandir}/man8/slapindex.8.gz
%doc %{_mandir}/man8/slappasswd.8.gz
%doc %{_mandir}/man8/slurpd.8.gz
%doc %{_mandir}/man5/slapd.*.5.gz
%doc %{_mandir}/man5/slapd-bdb.5.gz
%doc %{_mandir}/man5/slapd-ldbm.5.gz
%doc ANNOUNCEMENT CHANGES COPYRIGHT INSTALL LICENSE README README.SuSE
%doc doc/drafts doc/install doc/admin-guide

%files client
%dir /etc/openldap
%config(noreplace) /etc/openldap/ldap.conf
/etc/openldap/ldap.conf.default
/usr/bin/ldapadd
/usr/bin/ldapcompare
/usr/bin/ldapdelete
/usr/bin/ldapmodify
/usr/bin/ldapmodrdn
/usr/bin/ldapsearch
/usr/bin/ldappasswd
/usr/bin/ldapwhoami
%{_libdir}/liblber.so.*
%{_libdir}/libldap.so.*
%{_libdir}/libldap_r.so.*
%doc %{_mandir}/man1/ldap*.1.gz
%doc %{_mandir}/man5/ldap.conf.5.gz
%doc %{_mandir}/man5/ldif.5.gz

%files devel
/usr/include/lber.h
/usr/include/lber_types.h
/usr/include/ldap*.h
%{_libdir}/liblber.a
%{_libdir}/liblber.la
%{_libdir}/liblber.so
%{_libdir}/libldap.a
%{_libdir}/libldap.la
%{_libdir}/libldap.so
%{_libdir}/libldap_r.a
%{_libdir}/libldap_r.la
%{_libdir}/libldap_r.so
%doc %{_mandir}/man3/ber*.3.gz
%doc %{_mandir}/man3/lber*.3.gz
%doc %{_mandir}/man3/ld_errno.3.gz
%doc %{_mandir}/man3/ldap*.3.gz

%files back-perl
/usr/lib/openldap/modules/back_perl.*
%doc %{_mandir}/man5/slapd-perl.5.gz

%files back-monitor
/usr/lib/openldap/modules/back_monitor.*

%files back-meta
/usr/lib/openldap/modules/back_meta.*
%doc %{_mandir}/man5/slapd-meta.5.gz

%files back-ldap
/usr/lib/openldap/modules/back_ldap.*
%doc %{_mandir}/man5/slapd-ldap.5.gz

%description
The Lightweight Directory Access Protocol (LDAP) is used to access
online directory services. It runs directly over TCP, and can be used
to access a standalone LDAP directory service or to access a directory
service that has an X.500 back-end.



Authors:
--------
    The OpenLDAP Project <project@openldap.org>


%description back-perl
The OpenLDAP Perl back-end allows you to execute Perl code specific to
different LDAP operations.



Authors:
--------
    The OpenLDAP Project <project@openldap.org>


%description back-meta
The OpenLDAP Meta backend is able to perform basic LDAP proxying with
respect to a set of remote LDAP servers. The information contained in
these servers can be presented as belonging to a single  Directory
Information Tree (DIT).



Authors:
--------
    The OpenLDAP Project <project@openldap.org>


%description back-ldap
The Lightweight Directory Access Protocol (LDAP) is a protocol for
accessing online directory services. It runs directly over TCP, and can
be used to access a standalone LDAP directory service or to access a
directory service that is back-ended by X.500



Authors:
--------
    The OpenLDAP Project <project@openldap.org>


%description back-monitor
The Lightweight Directory Access Protocol (LDAP) is a protocol for
accessing online directory services. It runs directly over TCP, and can
be used to access a standalone LDAP directory service or to access a
directory service that is back-ended by X.500



Authors:
--------
    The OpenLDAP Project <project@openldap.org>


%description devel
Libraries, Headerfiles and Documentation for OpenLDAP2



Authors:
--------
    The OpenLDAP Project <project@openldap.org>


%description client
This package contains the OpenLDAP2 client utilities.



Authors:
--------
    The OpenLDAP Project <project@openldap.org>


%changelog -n openldap2
* Wed Aug 24 2005 - rhafer@suse.de
- allow start_tls while chasing referrals (Bug #94355, ITS #3791)
* Wed Jan 26 2005 - rhafer@suse.de
- extensible_match.dif: Fixes a bug that could cause the LDAP
  Server to crash while processing LDAP Extended Match Filters.
  (Bugzilla: #50109, ITS: #3506)
* Tue Sep 02 2003 - mt@suse.de
- Bugzilla #29859: fixed typo in sysconfig metadata,
  usage of OPENLDAP_LDAPS_INTERFACES in init script
- added /usr/lib/sasl2/slapd.conf permissions handling
- added sysconfig variable OPENLDAP_SLAPD_PARAMS=""
  to support additional slapd start parameters
- added sysconfig variable OPENLDAP_START_LDAPI=NO/yes
  for ldapi:/// (LDAP over IPC) URLs
* Thu Aug 14 2003 - rhafer@suse.de
- added activation metadata to sysconfig template (Bugzilla #28911)
- removed lint from specfile
* Thu Aug 07 2003 - rhafer@suse.de
- added %%stop_on_removal and %%restart_on_update calls
- bdb_addcnt.dif fixes a possible endless loop in id2entry()
- addonschema.tar.gz: some extra Schema files (YaST, RFC2307bis)
* Wed Jul 16 2003 - rhafer@suse.de
- removed fillup_only and call fillup_and_insserv correctly
- new Options in sysconfig.openldap: OPENLDAP_LDAP_INTERFACES,
  OPENLDAP_LDAPS_INTERFACES and OPENLDAP_RUN_DB_RECOVER
* Tue Jul 01 2003 - rhafer@suse.de
- updated to 2.1.22
- updated Admin Guide to most recent version
- build librewrite with -fPIC
* Mon Jun 16 2003 - rhafer@suse.de
- updated to 2.1.21
* Wed Jun 11 2003 - ro@suse.de
- fixed requires lines
* Mon May 26 2003 - rhafer@suse.de
- don't link back-ldap against librewrite.a, it's already linked
  into slapd (package should build on non-i386 Archs again)
* Fri May 23 2003 - rhafer@suse.de
- fixed dynamic build of back-ldap
- new subpackage back-ldap
* Tue May 20 2003 - rhafer@suse.de
- updated to version 2.1.20
- enabled dynamic backend modules
- new subpackages back-perl, back-meta and back-monitor
- remove unpacked files from BuildRoot
* Fri May 09 2003 - rhafer@suse.de
- updated to version 2.1.19
* Wed Apr 16 2003 - ro@suse.de
- fixed requires for devel-package ...
* Tue Apr 15 2003 - ro@suse.de
- fixed neededforbuild
* Thu Feb 13 2003 - kukuk@suse.de
- Enable IPv6 again
* Tue Feb 11 2003 - rhafer@suse.de
- added /etc/openldap to filelist
* Mon Feb 03 2003 - rhafer@suse.de
- switch default backend to ldbm
* Sun Feb 02 2003 - ro@suse.de
- fixed requires for devel package (cyrus-sasl2-devel)
* Fri Jan 31 2003 - rhafer@suse.de
- liblber.dif: Fixes two bugs in liblber by which remote attackers
  could crash the LDAP server (Bugzilla #22469, OpenLDAP ITS #2275
  and #2280)
* Tue Jan 14 2003 - choeger@suse.de
- build using sasl2
* Mon Jan 13 2003 - rhafer@suse.de
- updated to version 2.1.12
- added metadata to sysconfig template (Bug: #22666)
* Thu Nov 28 2002 - rhafer@suse.de
- updated to version 2.1.8
- added additional fix of 64bit archs
- added secpatch.dif to fix setuid issues in libldap
* Fri Sep 06 2002 - rhafer@suse.de
- fix for Bugzilla ID #18981, chown to OPENLDAP_USER didn't work
  with multiple database backend directories
* Mon Sep 02 2002 - rhafer@suse.de
- removed damoenstart_ipv6.diff and disabled IPv6 support due to
  massive problems with nss_ldap
* Mon Aug 26 2002 - rhafer@suse.de
- ldap_user.dif: slapd is now run a the user/group ldap (Bugzilla
  ID#17697)
* Fri Aug 23 2002 - rhafer@suse.de
- updated to version 2.1.4, which fixes tons of bugs
- added damoenstart_ipv6.diff (slapd was not starting when
  configured to listen on IPv4 and IPv6 interfaces, as done by the
  start script)
- added README.SuSE with some hints about the bdb-backend
- updated filelist to include only the man pages of the backends,
  that were built
* Thu Aug 15 2002 - rhafer@suse.de
- removed termcap and readline from neededforbuild
* Thu Aug 08 2002 - rhafer@suse.de
- enabled {CRYPT} passwords
- update filelist (added new manpages)
* Thu Jul 25 2002 - rhafer@suse.de
- patches for 64 bit architectures
* Fri Jul 19 2002 - rhafer@suse.de
- update to 2.1.3
* Fri Jul 05 2002 - kukuk@suse.de
- fix openldap2-devel requires
* Thu Jul 04 2002 - rhafer@suse.de
- switched back from cyrus-sasl2 to cyrus-sasl
* Wed Jul 03 2002 - rhafer@suse.de
- updated to OpenLDAP 2.1.2
- added the OpenLDAP Administration Guide
- enabled additional backends (ldap, meta, monitor)
* Mon Jun 10 2002 - olh@suse.de
- hack build/ltconfig to build shared libs on ppc64
* Wed Jun 05 2002 - rhafer@suse.de
- created /etc/sysconfig/openldap and OPENLDAP_START_LDAPS variable
  to enable ldap over ssl support
* Thu Mar 07 2002 - rhafer@suse.de
- Fix for Bugzilla ID#14569 (added cyrus-sasl-devel openssl-devel
  to the "Requires" Section of the -devel subpackage)
* Mon Feb 18 2002 - rhafer@suse.de
- updated to the latest STABLE release (2.0.23) which fixes some
  nasty bugs see ITS #1562,#1582,#1577,#1578
* Thu Feb 07 2002 - rhafer@suse.de
- updated to the latest release (which fixes a index corruption
  bug)
- cleanup in neededforbuild
- small fixes for the init-scripts
* Thu Jan 17 2002 - rhafer@suse.de
- updated to the latest stable release (2.0.21)
* Wed Jan 16 2002 - egmont@suselinux.hu
- removed periods and colons from startup/shutdown messages
* Tue Jan 15 2002 - rhafer@suse.de
- updated to v2.0.20 (which fixes a security hole in ACL
  processing)
* Fri Jan 11 2002 - rhafer@suse.de
- converted archive to bzip2
- makes use of %%{_libdir} now
- set CFLAGS to -O0 for archs ia64, s390(x) and alpha otherwise
  the test suite fails on these archs
- changed slapd.conf to store the database under /var/lib/ldap
  (this patch was missing in the last versions by accident)
* Mon Jan 07 2002 - rhafer@suse.de
- update to v2.0.19
* Thu Dec 06 2001 - rhafer@suse.de
- eliminated START_LDAP, START_SLURPD variables in rc.config
- created separate init script for slurpd
- moved init scripts from dif to separate source tgz
* Fri Oct 26 2001 - choeger@suse.de
- update to v2.0.18
* Mon Oct 15 2001 - choeger@suse.de
- update to v2.0.17
  added a sleep to the restart section
  moved some manpages to the client package
* Mon Oct 01 2001 - choeger@suse.de
- update to v2.0.15
* Wed Sep 12 2001 - choeger@suse.de
- backported the full bugfix from openldap-2.0.14
* Tue Sep 11 2001 - choeger@suse.de
- Bugfix for slurpd millionth second bug (ITS#1323)
* Mon Sep 10 2001 - choeger@suse.de
- moved ldapfilter.conf ldaptemplates.conf ldapsearchprefs.conf
  to openldap2-client package
* Mon Sep 03 2001 - choeger@suse.de
- update to version 2.0.12
* Mon Jul 02 2001 - choeger@suse.de
- bugfix: init script was not LSB compliant, Bugzilla ID#9072
* Tue Jun 19 2001 - ro@suse.de
- fixed for autoconf again
* Fri Jun 15 2001 - choeger@suse.de
- update to 2.0.11
- removed autoconf in specfile, because it doesn't work
* Wed May 23 2001 - choeger@suse.de
- update to version 2.0.10 (minor fixes)
* Tue May 22 2001 - choeger@suse.de
- update to version 2.0.9
* Mon Apr 23 2001 - choeger@suse.de
- removed kerberos support
- added aci support
* Fri Apr 20 2001 - choeger@suse.de
- added kerberos support
* Thu Apr 05 2001 - choeger@suse.de
- moved section 5 and 8 manpages to the server part of package
* Wed Mar 14 2001 - kukuk@suse.de
- Move *.so links into -devel package
- -devel requires -client
* Thu Mar 08 2001 - choeger@suse.de
- split up into openldap2-client and -devel
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Jan 04 2001 - choeger@suse.de
- bugfix: slapd.conf rename /var/lib/openldap-ldbm to
  /var/lib/ldap
  init script: use $remote_fs
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Thu Dec 07 2000 - choeger@suse.de
- bugfix from Andreas Jaeger:
  workaround for glibc2.2, detach
* Fri Dec 01 2000 - ro@suse.de
- hacked configure for apparently broken pthread
* Fri Dec 01 2000 - ro@suse.de
- fixed spec
* Thu Nov 23 2000 - choeger@suse.de
- made configs %%config(noreplace) (Bug 4112)
- fixed neededforbuild
* Wed Nov 22 2000 - choeger@suse.de
- adopted new init scheme
* Wed Nov 15 2000 - choeger@suse.de
- fixed neededforbuild
* Fri Nov 10 2000 - choeger@suse.de
- added buildroot
* Tue Nov 07 2000 - choeger@suse.de
- long package name
- new version, 2.0.7
* Fri Oct 06 2000 - choeger@suse.de
- first package of openldap2 (v2.0.6)
